Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JMSConnectionConsumerMBean

public interface JMSConnectionConsumerMBean
extends ConfigurationMBean

The MBean defines a connection consumer.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDestination()` Return the JNDI name of the destination for this connection consumer
`long` | `getMessagesMaximum()` Return the defined maximum number of messages that the connection consumer may load at one time into a ServerSession's session.
`java.lang.String` | `getSelector()` Return the defined selector of the connection consumer.
`void` | `setDestination(java.lang.String destination)` Set the JNDI name of the destination for this connection consumer
`void` | `setMessagesMaximum(long messagesMaximum)` Set the maximum number of messages that the connection consumer may load at one time into a ServerSession's session.
`void` | `setSelector(java.lang.String selector)` Set the selector of the connection consumer.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getMessagesMaximum

    public long getMessagesMaximum()

  Return the defined maximum number of messages that the connection consumer may load at one time into a ServerSession's session.

### setMessagesMaximum

    public void setMessagesMaximum(long messagesMaximum)
                            throws javax.management.InvalidAttributeValueException

  Set the maximum number of messages that the connection consumer may load at one time into a ServerSession's session.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: ((value == -1 ) || ((value >= 1) && (value <= ((1 << 63) -1))))
  Legal Minimum Value: -1

### getSelector

    public java.lang.String getSelector()

  Return the defined selector of the connection consumer.

### setSelector

    public void setSelector(java.lang.String selector)
                     throws javax.management.InvalidAttributeValueException

  Set the selector of the connection consumer.

  Default Value: null

### getDestination

    public java.lang.String getDestination()

  Return the JNDI name of the destination for this connection consumer

### setDestination

    public void setDestination(java.lang.String destination)
                        throws javax.management.InvalidAttributeValueException

  Set the JNDI name of the destination for this connection consumer

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD